<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    
    <style>
        body{
            display:flex;
            justify-content: center;
        }
        h1, form{
            display:flex;
            flex-direction: column;
        }
        input{
          margin-bottom:10px;
        }
    </style>

</head>
<body>
    
    <form action="salvamodulo.php" method="post" onsubmit="return validaForm()">
        <h1>Registrazione Utente</h1>

        <label for="username">Username</label>
        <input type="text" name="username" id="username">
    
        <label for="nome">Nome</label>
        <input type="text" name="nome" id="nome">
    
        <label for="cognome">Cognome</label>
        <input type="text" name="cognome" id="cognome">
    
        <label for="password">Password</label>
        <input type="password" name="password" id="password">
        
        <button type="submit">Registrati</button>
    </form>
</body>

<script>
    function validaForm()
    {
        let username = $.trim($("#username").val());
        if(username.length<6)
        {
            alert('USERNAME deve essere lungo almeno 6 caratteri');
            return false;
        }

        let nome = $.trim($("#nome").val());
        if(nome.length==0)
        {
            alert('NOME deve essere compilato');
            return false;
        }

        let cognome = $.trim($("#cognome").val());
        if(cognome.length==0)
        {
            alert('COGNOME deve essere compilato');
            return false;
        }

        let password = $.trim($("#password").val());
        if(password.length<6)
        {
            alert('PASSWORD deve essere lunga almeno 6 caratteri');
            return false;
        }
        return true;
    }
</script>
</html>